

' VBA7 64bit declare statements for NAG Fortran Library DLL Mark 27.3
' Copyright 2021, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter h

   Declare Ptrsafe Sub H02BBF Lib "NLW6I273E_nag.dll" ( _
    ByRef itmax As long, ByRef msglvl As long, ByRef n As long, _
    ByRef m As long, ByRef a As double, ByRef lda As long, _
    ByRef bl As double, ByRef bu As double, ByRef intvar As long, _
    ByRef cvec As double, ByRef maxnod As long, ByRef intfst As long, _
    ByRef maxdpt As long, ByRef toliv As double, ByRef tolfes As double, _
    ByRef bigbnd As double, ByRef x As double, ByRef objmip As double, _
    ByRef iwork As long, ByRef liwork As long, ByRef rwork As double, _
    ByRef lrwork As long, ByRef ifail As long _
   )


   Declare Ptrsafe Sub H02BFF Lib "NLW6I273E_nag.dll" ( _
    ByRef infile As long, _
    ByRef maxn As long, _
    ByRef maxm As long, _
    ByVal optim As string, _
    ByRef xbldef As double, _
    ByRef xbudef As double, _
    ByRef maxdpt As long, _
    ByRef msglvl As long, _
    ByRef n As long, _
    ByRef m As long, _
    ByRef x As double, _
    ByVal crname As string, _
    ByRef iwork As long, _
    ByRef liwork As long, _
    ByRef rwork As double, _
    ByRef lrwork As long, _
    ByRef ifail As long, _
    ByVal OPTIMLength As LongLong, ByVal CRNAMELength As LongLong _
    )


   Declare Ptrsafe Sub H02BUF Lib "NLW6I273E_nag.dll" ( _
    ByRef infile As long, ByRef maxn As long, ByRef maxm As long, _
    ByVal optim As string, ByRef xbldef As double, ByRef xbudef As double, _
    ByVal nmobj As string, ByVal nmrhs As string, ByVal nmrng As string, _
    ByVal nmbnd As string, ByRef mpslst As long, ByRef n As long, _
    ByRef m As long, ByRef a As double, ByRef bl As double, _
    ByRef bu As double, ByRef cvec As double, ByRef x As double, _
    ByRef intvar As long, ByVal crname As string, ByVal nmprob As string, _
    ByRef iwork As long, ByRef ifail As long, _
    ByVal OPTIMLength As LongLong, ByVal NMOBJLength As LongLong, ByVal NMRHSLength As LongLong, ByVal NMRNGLength As LongLong, ByVal NMBNDLength As LongLong, ByVal CRNAMELength As LongLong, ByVal NMPROBLength As LongLong _
    )


   Declare Ptrsafe Sub H02BVF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, _
    ByRef m As long, _
    ByRef a As double, _
    ByRef lda As long, _
    ByRef bl As double, _
    ByRef bu As double, _
    ByRef x As double, _
    ByRef clamda As double, _
    ByRef istate As long, _
    ByVal crname As string, _
    ByRef ifail As long, _
    ByVal CRNAMELength As LongLong _
    )


   Declare Ptrsafe Sub H02BZF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, _
    ByRef m As long, _
    ByRef bl As double, _
    ByRef bu As double, _
    ByRef clamda As double, _
    ByRef istate As long, _
    ByRef iwork As long, _
    ByRef liwork As long, _
    ByRef rwork As double, _
    ByRef lrwork As long, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub H02CBF_QPHESS( _
'      ByRef n As long, _
'      ByRef jthcol As long, _
'      ByVal h_rptr As longPtr, _
'      ByRef ldh As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal hx_rptr As longPtr _
'    )
'      ' your code here
'  End Sub


' skeleton code for callback function
'  Sub H02CBF_MONIT( _
'      ByRef intfnd As long, _
'      ByRef nodes As long, _
'      ByRef depth As long, _
'      ByRef obj As double, _
'      ByVal x_rptr As longPtr, _
'      ByRef bstval As double, _
'      ByVal bstsol_rptr As longPtr, _
'      ByVal bl_rptr As longPtr, _
'      ByVal bu_rptr As longPtr, _
'      ByRef n As long, _
'      ByRef halt As long, _
'      ByRef count As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub H02CBU Lib "NLW6I273E_nag.dll" ( _
    ByRef intfnd As long, _
    ByRef nodes As long, _
    ByRef depth As long, _
    ByRef obj As double, _
    ByVal x_rptr As longPtr, _
    ByRef bstval As double, _
    ByVal bstsol_rptr As longPtr, _
    ByVal bl_rptr As longPtr, _
    ByVal bu_rptr As longPtr, _
    ByRef n As long, _
    ByRef halt As long, _
    ByRef count As long _
  )

   Declare Ptrsafe Sub H02CBF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, ByRef nclin As long, ByRef a As double, _
    ByRef lda As long, ByRef bl As double, ByRef bu As double, _
    ByRef cvec As double, ByRef h As double, ByRef ldh As long, _
    ByVal qphess As longPtr, ByRef intvar As long, ByRef lintvr As long, _
    ByRef mdepth As long, ByRef istate As long, ByRef xs As double, _
    ByRef obj As double, ByRef ax As double, ByRef clamda As double, _
    ByRef strtgy As long, ByRef iwrk As long, ByRef liwrk As long, _
    ByRef wrk As double, ByRef lwrk As long, ByVal monit As longPtr, _
    ByRef ifail As long _
   )




   Declare Ptrsafe Sub H02CCF Lib "NLW6I273E_nag.dll" ( _
    ByRef ioptns As long, _
    ByRef inform As long _
   )


   Declare Ptrsafe Sub H02CDF Lib "NLW6I273E_nag.dll" ( _
    ByVal str As string, _
    ByVal STRLength As LongLong  _
    )


' skeleton code for callback function
'  Sub H02CEF_QPHX( _
'      ByRef nstate As long, _
'      ByRef ncolh As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal hx_rptr As longPtr _
'    )
'      ' your code here
'  End Sub


' skeleton code for callback function
'  Sub H02CEF_MONIT( _
'      ByRef intfnd As long, _
'      ByRef nodes As long, _
'      ByRef depth As long, _
'      ByRef obj As double, _
'      ByVal x_rptr As longPtr, _
'      ByRef bstval As double, _
'      ByVal bstsol_rptr As longPtr, _
'      ByVal bl_rptr As longPtr, _
'      ByVal bu_rptr As longPtr, _
'      ByRef n As long, _
'      ByRef halt As long, _
'      ByRef count As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub H02CEY Lib "NLW6I273E_nag.dll" ( _
    ByRef intfnd As long, _
    ByRef nodes As long, _
    ByRef depth As long, _
    ByRef obj As double, _
    ByVal x_rptr As longPtr, _
    ByRef bstval As double, _
    ByVal bstsol_rptr As longPtr, _
    ByVal bl_rptr As longPtr, _
    ByVal bu_rptr As longPtr, _
    ByRef n As long, _
    ByRef halt As long, _
    ByRef count As long _
  )

   Declare Ptrsafe Sub H02CEF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, ByRef m As long, ByRef nnz As long, _
    ByRef iobj As long, ByRef ncolh As long, ByVal qphx As longPtr, _
    ByRef a As double, ByRef ha As long, ByRef ka As long, _
    ByRef bl As double, ByRef bu As double, ByVal start As string, _
    ByVal names As string, ByRef nname As long, ByVal crname As string, _
    ByRef ns As long, ByRef xs As double, ByRef intvar As long, _
    ByRef lintvr As long, ByRef mdepth As long, ByRef istate As long, _
    ByRef miniz As long, ByRef minz As long, ByRef obj As double, _
    ByRef clamda As double, ByRef strtgy As long, ByRef iz As long, _
    ByRef leniz As long, ByRef z As double, ByRef lenz As long, _
    ByVal monit As longPtr, _
    ByRef ifail As long, _
    ByVal STARTLength As LongLong, ByVal NAMESLength As LongLong, ByVal CRNAMELength As LongLong _
    )




   Declare Ptrsafe Sub H02CFF Lib "NLW6I273E_nag.dll" ( _
    ByRef ioptns As long, _
    ByRef inform As long _
   )


   Declare Ptrsafe Sub H02CGF Lib "NLW6I273E_nag.dll" ( _
    ByVal str As string, _
    ByVal STRLength As LongLong  _
    )


' skeleton code for callback function
'  Sub H02DAF_CONFUN( _
'      ByRef mode As long, _
'      ByRef ncnln As long, _
'      ByRef n As long, _
'      ByVal varcon_iptr As longPtr, _
'      ByVal x_rptr As longPtr, _
'      ByVal c_rptr As longPtr, _
'      ByVal cjac_rptr As longPtr, _
'      ByRef nstate As long, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub H02DDM Lib "NLW6I273E_nag.dll" ( _
    ByRef mode As long, _
    ByRef ncnln As long, _
    ByRef n As long, _
    ByVal varcon_iptr As longPtr, _
    ByVal x_rptr As longPtr, _
    ByVal c_rptr As longPtr, _
    ByVal cjac_rptr As longPtr, _
    ByRef nstate As long, _
    ByVal iuser_iptr As longPtr, _
    ByVal ruser_rptr As longPtr _
  )

' skeleton code for callback function
'  Sub H02DAF_OBJFUN( _
'      ByRef mode As long, _
'      ByRef n As long, _
'      ByVal varcon_iptr As longPtr, _
'      ByVal x_rptr As longPtr, _
'      ByRef objmip As double, _
'      ByVal objgrd_rptr As longPtr, _
'      ByRef nstate As long, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub H02DAF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, ByRef nclin As long, ByRef ncnln As long, _
    ByRef a As double, ByRef lda As long, ByRef d As double, _
    ByRef ax As double, ByRef bl As double, ByRef bu As double, _
    ByRef varcon As long, ByRef x As double, ByVal confun As longPtr, _
    ByRef c As double, ByRef cjac As double, ByVal objfun As longPtr, _
    ByRef objgrd As double, ByRef maxit As long, ByRef acc As double, _
    ByRef objmip As double, ByRef iopts As long, ByRef opts As double, _
    ByRef iuser As long, ByRef ruser As double, ByRef ifail As long _
   )


   Declare Ptrsafe Sub H02ZKF Lib "NLW6I273E_nag.dll" ( _
    ByVal optstr As string, _
    ByRef iopts As long, _
    ByRef liopts As long, _
    ByRef opts As double, _
    ByRef lopts As long, _
    ByRef ifail As long, _
    ByVal OPTSTRLength As LongLong _
    )


   Declare Ptrsafe Sub H02ZLF Lib "NLW6I273E_nag.dll" ( _
    ByVal optstr As string, _
    ByRef ivalue As long, _
    ByRef rvalue As double, _
    ByVal cvalue As string, _
    ByRef optype As long, _
    ByRef iopts As long, _
    ByRef opts As double, _
    ByRef ifail As long, _
    ByVal OPTSTRLength As LongLong, ByVal CVALUELength As LongLong _
    )


   Declare Ptrsafe Sub H03ABF Lib "NLW6I273E_nag.dll" ( _
    ByRef kost As long, _
    ByRef ldkost As long, _
    ByRef ma As long, _
    ByRef mb As long, _
    ByRef m As long, _
    ByRef k15 As long, _
    ByRef maxit As long, _
    ByRef k7 As long, _
    ByRef k9 As long, _
    ByRef numit As long, _
    ByRef k6 As long, _
    ByRef k8 As long, _
    ByRef k11 As long, _
    ByRef k12 As long, _
    ByRef z As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub H03ADF Lib "NLW6I273E_nag.dll" ( _
    ByRef n As long, _
    ByRef ns As long, _
    ByRef ne As long, _
    ByRef direct As long, _
    ByRef nnz As long, _
    ByRef d As double, _
    ByRef irow As long, _
    ByRef icol As long, _
    ByRef splen As double, _
    ByRef path As long, _
    ByRef iwork As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub H03BBF Lib "NLW6I273E_nag.dll" ( _
    ByRef nc As long, _
    ByRef dm As double, _
    ByRef bound As double, _
    ByRef targc As double, _
    ByRef path As long, _
    ByRef cost As double, _
    ByRef tmode As long, _
    ByRef alg_stats As double, _
    ByRef state As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub H05AAF Lib "NLW6I273E_nag.dll" ( _
    ByRef irevcm As long, ByRef mincr As long, ByRef m As long, _
    ByRef ip As long, ByRef nbest As long, ByRef drop As long, _
    ByRef lz As long, ByRef z As long, ByRef la As long, _
    ByRef a As long, ByRef bscore As double, ByRef bz As long, _
    ByRef mincnt As long, ByRef gamma As double, ByRef acc As double, _
    ByRef icomm As long, ByRef licomm As long, ByRef rcomm As double, _
    ByRef lrcomm As long, ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub H05ABF_F( _
'      ByRef m As long, _
'      ByRef drop As long, _
'      ByRef lz As long, _
'      ByVal z_iptr As longPtr, _
'      ByRef la As long, _
'      ByVal a_iptr As longPtr, _
'      ByVal score_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef info As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub H05ABF Lib "NLW6I273E_nag.dll" ( _
    ByRef mincr As long, _
    ByRef m As long, _
    ByRef ip As long, _
    ByRef nbest As long, _
    ByRef la As long, _
    ByRef bscore As double, _
    ByRef bz As long, _
    ByVal f As longPtr, _
    ByRef mincnt As long, _
    ByRef gamma As double, _
    ByRef acc As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


